import bb.cascades 1.0

Sheet {
    id: biosSheet
    peekEnabled: false
    Page {
        titleBar: TitleBar {
            title: qsTr("BIOS")
            dismissAction: ActionItem {
                title: qsTr("Close")

				onTriggered: {
				    biosSheet.close()
				}
            }
        }
        ScrollView {
            scrollViewProperties.scrollMode: ScrollMode.Vertical
            Container {
                topPadding: 15.0
                leftPadding: 15.0
                rightPadding: 15.0
                bottomPadding: 15.0

                Label {
                    text: qsTr("AES BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.aesLocation
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."
                        
                        onClicked: {
                            _native.updateBios(1)
                        }
                    }
                }
                Label {
                    text: qsTr("Asia BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.asiaLocation
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."

                        onClicked: {
                            _native.updateBios(2)
                        }
                    }
                }
                Label {
                    text: qsTr("NG-LO BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.ngloLocation
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."

                        onClicked: {
                            _native.updateBios(3)
                        }
                    }
                }
                Label {
                    text: qsTr("NG-SFIX BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.ngsfixLocation
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."

                        onClicked: {
                            _native.updateBios(4)
                        }
                    }
                }
                Label {
                    text: qsTr("SP-S2 BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.sps2Location
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."

                        onClicked: {
                            _native.updateBios(5)
                        }
                    }
                }
                Label {
                    text: qsTr("UNI-BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.uniLocation
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."

                        onClicked: {
                            _native.updateBios(6)
                        }
                    }
                }
                Label {
                    text: qsTr("USA-2SLT BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.usaLocation
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."

                        onClicked: {
                            _native.updateBios(7)
                        }
                    }
                }
                Label {
                    text: qsTr("VS-BIOS Location")
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    ScrollView {
                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
                        verticalAlignment: VerticalAlignment.Center
                        Label {
                            text: _native.vsLocation
                        }
                    }
                    Button {
                        maxWidth: 50.0
                        text: "..."

                        onClicked: {
                            _native.updateBios(8)
                        }
                    }
                }
            }
        }

        actions: [
            ActionItem {
                title: qsTr("Set From Folder")
                imageSource: "asset:///images/ic_open.png"
                ActionBar.placement: ActionBarPlacement.OnBar
                
                onTriggered: {
                    _native.updateBiosFromFolder()
                }
            }
        ]
    }
}
