import bb.cascades 1.0

Sheet {
    id: editSheet
    peekEnabled: false

    NavigationPane {
        id: editPane
		Page {
		    titleBar: TitleBar {
		        title: qsTr("Edit ROM")
		        dismissAction: ActionItem {
		            title: qsTr("Close")

		            onTriggered: {
		                editSheet.close()
		            }
		        }
		    }
		    ScrollView {
			    Container {
			        topPadding: 15.0
			        leftPadding: 15.0
			        rightPadding: 15.0
	                Label {
	                    text: _native.romName
	                    horizontalAlignment: HorizontalAlignment.Center
	                }
	                Label {
	
	                    text: qsTr("ZIP File Location")
	                }
	                Container {
	                    layout: StackLayout {
	                        orientation: LayoutOrientation.LeftToRight
	                    }
	                    ScrollView {
	                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
	                        verticalAlignment: VerticalAlignment.Center
	                        scrollViewProperties.pinchToZoomEnabled: false
	                        Label {
	                            text: _native.editROMFile
	                        }
	                    }
	                    Button {
	                        text: "..."
	                        maxWidth: 50.0
	
	                        onClicked: {
	                            _native.updateROMPath()
	                        }
	                    }
	                }
	                Label {
	                    text: qsTr("RC File Location")
	                }
	                Container {
	                    layout: StackLayout {
	                        orientation: LayoutOrientation.LeftToRight
	                    }
	                    ScrollView {
	                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
	                        verticalAlignment: VerticalAlignment.Center
	                        scrollViewProperties.pinchToZoomEnabled: false
	                        Label {
	                            text: _native.editRCFile
	                        }
	                    }
	                    Button {
	                        text: "..."
	                        maxWidth: 50.0
	                        
	                        onClicked: {
	                            _native.updateRCPath()
	                        }
	                    }
	                }
	                Label {
	                    text: qsTr("Image Location")
	                }
	                Container {
	                    layout: StackLayout {
	                        orientation: LayoutOrientation.LeftToRight
	                    }
	                    ScrollView {
	                        scrollViewProperties.scrollMode: ScrollMode.Horizontal
	                        verticalAlignment: VerticalAlignment.Center
	                        scrollViewProperties.pinchToZoomEnabled: false
	                        Label {
	                            text: _native.editImageFile
	                        }
	                    }
	                    Button {
	                        text: "..."
	                        maxWidth: 50.0
	
	                        onClicked: {
	                            _native.updateRCPath()
	                        }
	                    }
	                }
	                ImageView {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    visible: _native.editImageExist
	                    image: _native.editImage
	                    maxWidth: 720
	                    maxHeight: 300
	                }
	            }
	        }

            attachedObjects: [
                ComponentDefinition {
                    id: rcfilePage
                    source: "rcfile.qml"
                },
                ComponentDefinition {
                    id: zipPage
                    source: "zipfile.qml"
                }
            ]

            actions: [
                ActionItem {
                    title: qsTr("Zip Contents")
                    imageSource: "asset:///images/zip.png"
                    ActionBar.placement: ActionBarPlacement.OnBar

                    onTriggered: {
                        _native.openZip()
                        var sheet = zipPage.createObject()
                        editPane.push(sheet)
                    }
                },
                ActionItem {
                    title: qsTr("Edit RC File")
                    imageSource: "asset:///images/ic_edit.png"
                    ActionBar.placement: ActionBarPlacement.OnBar

                    onTriggered: {
                        var sheet = rcfilePage.createObject()
		                editPane.push(sheet)
		            }
		        }
		    ]
		}
	}
}
