import bb.cascades 1.0

Sheet {
    id: recentSheet
    peekEnabled: false
    Page {
        titleBar: TitleBar {
            title: _native.sortHeaderText
            dismissAction: ActionItem {
                title: qsTr("Cancel")

                onTriggered: {
                    recentSheet.close()
                }
            }
        }
        Container {
            ListView {
                id: recentList
                dataModel: listModel.model

                listItemComponents: [
                    ListItemComponent {
                        type: ""
                        Container {
                            id: containerContents
                            contextActions: [
                            	ActionSet {
                            	    title: ListItemData.name
                                    DeleteActionItem {
                            			title: qsTr("Delete")

                            			onTriggered: {
                            				var tmpListView = parent.parent.parent
                            				var itemData = tmpListView.dataModel.data(tmpListView.selected())
                            				tmpListView.remove(itemData.index)
                            			}
                            		}
                            	}
                            ]

                            layout: StackLayout {
                                orientation: LayoutOrientation.TopToBottom
                            }
                            Container {
                                layout: DockLayout {
                                }
                                leftPadding: 15
                                topPadding: 15
                                rightPadding: 15
                                bottomPadding: 15
                                horizontalAlignment: HorizontalAlignment.Fill
                                Container {
                                    verticalAlignment: VerticalAlignment.Center
                                    Container {
                                        bottomMargin: 0

                                        Label {
                                            text: ListItemData.name

                                            textStyle {
                                                base: SystemDefaults.TextStyles.TitleText
                                                fontWeight: FontWeight.Normal
                                            }
                                        }
                                    }
                                    Container {
                                        topMargin: 0

                                        Label {
                                            text: ListItemData.desc

                                            textStyle {
                                                fontSize: FontSize.Small
                                            }
                                        }
                                    }
                                }
                            }

                            Divider {
                            }
                        }
                    }
                ]

                function edit(index) {
                    _native.recentFileEdit(index)
                }

                function remove(index) {
                    _native.recentFileRemove(index)
                }

                onTriggered: {
                    var selectedItem = dataModel.data(indexPath)
                    recentSheet.close()
                    _native.recentFileSelected(selectedItem.index)
                }
            }
        }
        
        actions: [
            ActionItem {
                title: qsTr("Populate Recent List")
                imageSource: "asset:///images/ic_add_folder.png"
                ActionBar.placement: ActionBarPlacement.InOverflow

                onTriggered: {
                    _native.indexDirectory()
                }
            },
            ActionItem {
                title: _native.sortChangeText
                imageSource: "asset:///images/ic_sort.png"
                ActionBar.placement: ActionBarPlacement.OnBar

                onTriggered: {
                    _native.switchSort()
                }
            }
        ]
	}
}
