import bb.cascades 1.0

Sheet {
    id: settingsSheet
    peekEnabled: false
	Page {
        titleBar: TitleBar {
            title: qsTr("Settings")
            dismissAction: ActionItem {
                title: qsTr("Close")

				onTriggered: {
				    settingsSheet.close()
				}
            }
        }
        Container {
            layout: DockLayout {
            }
            topPadding: 15.0
            bottomPadding: 15.0
            ScrollView {
                Container {
                    Container {
	                    leftPadding: 15.0
	                    Label {
	                        text: qsTr("Default Theme")
	                        leftMargin: 15.0
	                    }
	                }
	                DropDown {
	                    horizontalAlignment: HorizontalAlignment.Center
	                    title: qsTr("Visual Theme")
	                    Option {
	                        text: qsTr("Bright")
	                    }
	                    Option {
	                        text: qsTr("Dark")
	                    }
	                    
	                    onCreationCompleted: {
                            selectedIndex = _native.colorIndex
                        }

	                    onSelectedIndexChanged: {
                            _native.colorIndex = selectedIndex
                        }
	                }
	                Container {
	                    leftPadding: 15.0
	                    rightPadding: 15.0
	                    Label {
	                        text: qsTr("Restart the emulator for the colour theme change to take effect.")
	                        multiline: true
	                    }
	                }
	                Divider {
	                }
	                Container {
	                    leftPadding: 15.0
	                    Label {
	                        text: qsTr("Emulator Settings")
	                    }
	                }
	                DropDown {
		                title: "Country"
		                horizontalAlignment: HorizontalAlignment.Center
		                Option {
		                    text: qsTr("Europe")
		                }
		                Option {
		                    text: qsTr("North America")
		                }
		                Option {
		                    text: qsTr("Asia")
		                }
		                Option {
		                    text: qsTr("Japan")
		                }
		                
		                onCreationCompleted: {
                            selectedIndex = _native.regionIndex
                        }
		                
		                onSelectedIndexChanged: {
                            _native.regionIndex = selectedIndex
                        }
		            }
	                Container {
	                    leftPadding: 15.0
	                    rightPadding: 15.0
	                    topPadding: 15.0
	                    bottomPadding: 40.0
	                    CheckBox {
	                        text: qsTr("Sound")
	                        
	                        onCreationCompleted: {
	                            checked = _native.sound
	                        }
	                        
	                        onCheckedChanged: {
	                            _native.sound = checked
	                        }
	                    }
                        CheckBox {
                            text: qsTr("Show FPS")

                            onCreationCompleted: {
                                checked = _native.fps
                            }

                            onCheckedChanged: {
                                _native.fps = checked
                            }
                        }
                        CheckBox {
                            text: qsTr("Auto Frameskip")

                            onCreationCompleted: {
                                checked = _native.frameskip
                            }

                            onCheckedChanged: {
                                _native.frameskip = checked
                            }
                        }
                        CheckBox {
                            text: qsTr("Stretch Video")

                            onCreationCompleted: {
                                checked = _native.stretch
                            }

                            onCheckedChanged: {
                                _native.stretch = checked
                            }
                        }
                    }
		        }
		    }
            Container {
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Bottom

                Label {
                    text: "Version 1.0.0"
                    textStyle.color: Color.create("#787878")
                }
            }
        }
	}
}
